"$ sudo apt update" shows error

Post Reply
bzb
Posts: 30
Joined: Tue Apr 10, 2018 8:56 pm
languages_spoken: english
Has thanked: 0
Been thanked: 0
Contact:

"$ sudo apt update" shows error

Unread post by bzb » Sat Feb 15, 2020 12:53 pm

using odroid c2
after executing "$ sudo apt update", the console shows some errors. Any help to fix this?
Thanks in advance

$ sudo apt update
Hit:1 http://ports.ubuntu.com/ubuntu-ports bionic InRelease
Get:2 http://deb.odroid.in/c2 bionic InRelease [2423 B]
Get:3 http://ports.ubuntu.com/ubuntu-ports bionic-updates InRelease [88.7 kB]
Hit:4 http://archive.canonical.com/ubuntu bionic InRelease
Get:5 http://ports.ubuntu.com/ubuntu-ports bionic-backports InRelease [74.6 kB]
Err:2 http://deb.odroid.in/c2 bionic InRelease
The following signatures were invalid: EXPKEYSIG 5360FB9DAB19BAC9 Mauro Ribeiro (mdrjr) <mauro.ribeiro@hardkernel.com>
Get:6 http://ports.ubuntu.com/ubuntu-ports bionic-security InRelease [88.7 kB]
Fetched 254 kB in 3s (93.7 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
21 packages can be upgraded. Run 'apt list --upgradable' to see them.
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://deb.odroid.in/c2 bionic InRelease: The following signatures were invalid: EXPKEYSIG 5360FB9DAB19BAC9 Mauro Ribeiro (mdrjr) <mauro.ribeiro@hardkernel.com>
W: Failed to fetch http://deb.odroid.in/c2/dists/bionic/InRelease The following signatures were invalid: EXPKEYSIG 5360FB9DAB19BAC9 Mauro Ribeiro (mdrjr) <mauro.ribeiro@hardkernel.com>
W: Some index files failed to download. They have been ignored, or old ones used instead.

User avatar
mad_ady
Posts: 7375
Joined: Wed Jul 15, 2015 5:00 pm
languages_spoken: english
ODROIDs: XU4, C1+, C2, N1, H2, N2, Go, Go Advance
Location: Bucharest, Romania
Has thanked: 358 times
Been thanked: 258 times
Contact:

Re: "$ sudo apt update" shows error

Unread post by mad_ady » Sat Feb 15, 2020 7:05 pm

The following signatures were invalid: EXPKEYSIG 5360FB9DAB19BAC9 Mauro Ribeiro (mdrjr) <mauro.ribeiro@hardkernel.com>
About a month or so ago a gpg key expired and needs to be reimported.

Code: Select all

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys AB19BAC9
@odroid could you create a sticky page with this info, or a wiki page? More and more users will start to see the error as they check their updates...

User avatar
odroid
Site Admin
Posts: 33375
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English
ODROIDs: ODROID
Has thanked: 402 times
Been thanked: 462 times
Contact:

Re: "$ sudo apt update" shows error

Unread post by odroid » Mon Feb 17, 2020 12:27 pm

Ok.
I've made this post as a global sticky.
viewtopic.php?f=52&t=37301

Post Reply

Return to “Ubuntu”

Who is online

Users browsing this forum: No registered users and 4 guests